[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'FileCtrl' (#lcl)

# TCustomFileListBox.Create

Constructor for the class instance.

## Declaration

Source position: filectrl.pp line 68

`public constructor TCustomFileListBox.Create(`
`TheOwner: TComponent`
`); override;`

## Arguments

`TheOwner` |  | Owner for the class instance.

## Description

Create is the overridden constructor for the class instance, and calls the inherited constructor on entry. Create sets the default values for properties in the class instance, including:

Mask
  Set to the AllDirectoryEntriesMask ('*')
FileType
  Set to [ftNormal]
Directory
  Set to the value from GetCurrentDirUTF8
Drive
  Contains the value form ExtractFileDrive, or an empty string
MultiSelect
  Set to False
Sorted
  Set to True after files have been loaded in UpdateFileList
Items
  Sets the CaseSensitive property in Items to True to ensure that file and directory names on case-sensitive file systems are handled properly.

Create calls the UpdateFileList method to load the file and directory names for the current Directory into the Items property.

## See also

TCustomFileListBox.Mask |  | Contains the mask for files selected for the control.
TCustomFileListBox.Drive |  | The Drive on which the file is located (applies to Windows systems).
TCustomFileListBox.Directory |  | The Directory or Folder in which the file is located.
TCustomFileListBox.Sorted |  | Indicates if values in Items are sort in ascending alphanumeric order.
TCustomFileListBox.UpdateFileList |  | Loads the list of files and/or directories for the list box control.
TCustomListBox.Items |  | The list of all items defined in the control.
TCustomListBox.MultiSelect |  | Allows selection of more than one item from the list.
TStringList.CaseSensitive
TComponent.Create